# FoundationClasses
TKernel
TCollection

# TCollection_Array1Descriptor Class Reference

`#include <TCollection_Array1Descriptor.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT Standard_Integer | Upper () const
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Address | Address () const

## Protected Member Functions

Standard_EXPORT | TCollection_Array1Descriptor (const Standard_Integer aLower, const Standard_Integer aUpper, const Standard_Address anAddress)

## Private Attributes

Standard_Address | myAddress
Standard_Integer | myLower
Standard_Integer | myUpper

## Constructor & Destructor Documentation

Standard_EXPORT TCollection_Array1Descriptor::TCollection_Array1Descriptor | ( | const Standard_Integer | aLower,
|  | const Standard_Integer | aUpper,
|  | const Standard_Address | anAddress
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Standard_Address TCollection_Array1Descriptor::Address | ( |  | ) | const

Standard_EXPORT Standard_Integer TCollection_Array1Descriptor::Lower | ( |  | ) | const

void TCollection_Array1Descriptor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TCollection_Array1Descriptor::operator new | ( | size_t | size | ) | `[inline]`

void* TCollection_Array1Descriptor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Integer TCollection_Array1Descriptor::Upper | ( |  | ) | const

## Field Documentation

Standard_Address TCollection_Array1Descriptor::myAddress `[private]`

Standard_Integer TCollection_Array1Descriptor::myLower `[private]`

Standard_Integer TCollection_Array1Descriptor::myUpper `[private]`

The documentation for this class was generated from the following file:

- TCollection_Array1Descriptor.hxx